<?xml version="1.0"?>
<!-- Generated by the OpenACS Package Manager -->

<package key="news" url="http://openacs.org/repository/apm/packages/news/" type="apm_application">
    <package-name>News</package-name>
    <pretty-plural>News</pretty-plural>
    <initial-install-p>f</initial-install-p>
    <singleton-p>f</singleton-p>
    
    <version name="5.5.1d1" url="http://openacs.org/repository/download/apm/news-5.5.1d1.apm">
        <owner url="http://opeancs.org">OpenACS</owner>
        <summary>Used for announcements and news items.</summary>
        <release-date>2007-06-15</release-date>
        <vendor url="http://openacs.org">OpenACS</vendor>
        <description format="text/plain">News publication tool.  Publication of plain text or html news items with support for scheduled publication and commentability.</description>
        <maturity>0</maturity>
        <package_instance_name>#news.News#</package_instance_name>

        <provides url="news" version="5.5.1d1"/>
        <requires url="acs-content-repository" version="5.5.0"/>
        <requires url="acs-datetime" version="5.2.2"/>
        <requires url="acs-kernel" version="5.5.0"/>
        <requires url="general-comments" version="5.2.0"/>
        <requires url="notifications" version="5.5.0"/>
        <requires url="rss-support" version="0.3"/>

        <callbacks>
            <callback type="after-install"  proc="news::install::after_install"/>
            <callback type="after-instantiate"  proc="news::install::after_instantiate"/>
            <callback type="after-upgrade"  proc="news::install::after_upgrade"/>
            <callback type="before-uninstall"  proc="news::sc::unregister_news_fts_impl"/>
            <callback type="before-uninstantiate"  proc="news::install::before_uninstantiate"/>
        </callbacks>
        <parameters>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="ActiveDays"  default="14" description="Default days between release date and archive date."/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="ApprovalPolicy"  default="wait" description="Approval policy of submitted news items. It must be either of [open|wait|closed]. Submission by the administrator are ApprovalPolicy = 'open'.This approval policy applies only, if we let 'registered users' upload news items."/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="DisplayMax"  default="10" description="Number of news item headlines displayed per page at most."/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="ImageFormat"  default="jpg" description="Image format to use when converting images, e.g. png, gif, jpg"/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="ImageGeometry"  default="120x150" description="Geometry specification for scaling images in news, e.g. 120x150 scales images to have a maximum width of 120 px and a maximum height of 150 px."/>
            <parameter datatype="string"  min_n_values="1"  max_n_values="1"  name="ImageUploadTypes"  default="image/jpeg,image/gif,image/png,image/jpg" description="Acceptable MIME Types for Image Upload in News package"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="MaxFileSizekB"  default="1024" description="maximum filesize in kB"/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="ShowSearchInterfaceP"  default="1" description="Interfacing to site-wide-search with a Search-box. (SWS is required)."/>
            <parameter datatype="number"  min_n_values="1"  max_n_values="1"  name="SolicitCommentsP"  default="1" description="Whether we allow comments on news items."/>
        </parameters>

    </version>
</package>
